.pokemon-outer-wrapper {
    text-align: center;
    border: dashed 2px var(--main-red);
    margin: 5px;
    position: relative;
    padding: 5px;
    // background-color: var(--main-light-yellow);
    border-radius: 4px;

    .name {
        text-transform: uppercase;
        color: var(--main-red);
        letter-spacing: 1px;
        font-size: 1em;
        font-weight: 600;
        overflow: hidden;
        word-break: break-word;
        margin: 1em auto;

        .nickname {
            font-weight: 500;
            font-size: 22px;
            margin: 0;
            text-transform: none;
        }
        span {
            font-weight: normal;
            font-size: 16px;
        }
    }

    .name, img {
        position: relative;
        top: 0;
        transition: top ease 0.5s;
        cursor: pointer;
    }

    .name:hover, .pokemon-image:hover {
        top: -10px
    }

    .pokemon-image-button-wrapper {
        // position: relative;
        height: 96px;
        width: 100%;
        margin: auto;

        .pokemon-image {
            height: 96px;
            width: 96px;
        }
    }

    .pokemon-catch-button {
        position: absolute;
        top: 20px;
        margin-top: -12px;
        right: 10px;
        cursor: pointer;

        svg {
            width: 24px;
            height: 24px;
        }
    }

    .pokemon-owned-badge {
        background-color: var(--main-dark-blue);
        color: var(--main-white);
        border-radius: 4px;
    }
}
